#include <gui/window.h>
#include <gui/view.h>
#include <gui/rect.h>
#include <gui/menu.h>
#include <gui/button.h>
#include <gui/textview.h>
#include <gui/stringview.h>
#include "directoryview.h"
#include <gui/requesters.h>
#include <util/application.h>
#include <util/message.h>
#include <stdio.h>

#include "filesView.h"
#include "mimeTable.h"

#define MAX_PATH_SIZE 4096

#define appConfig struct _appConfig

struct _appConfig
{
	mimeTable *mainMimeTable;
};

class folderWindow:public os::Window
{
public:
	folderWindow( char *path, appConfig * inputConfig );
	void FrameSized( os::Point & cDelta );
	bool OkToQuit();
	virtual void HandleMessage( os::Message * pcMessage );
	void DirectoryUp();
	char windowPath[MAX_PATH_SIZE];
	_appConfig *mainConfig;

private:
	os::Menu * mainMenu, *tempSubMenu;
	os::Button *parentButton;
	os::StringView *locationLabel;
	os::TextView *locationBar;
	FilesView *mainView;
	os::DirectoryView *mainView2;
	os::StringView *infoLabel;
};
